OpenapiBase route
Instant Register domain With MPP
API Docs with browser clientPurchase a single domain instantly with MPP using Tempo or Stripe.
x-api-key<token>
In: header
Path Parameters
normalizedDomainName*string
Match
^[a-z0-9_]([a-z0-9-]{0,61}[a-z0-9_])?(\.[a-z0-9_]([a-z0-9-]{0,61}[a-z0-9_])?)*$Query Parameters
durationInYears?integer
Default
1Range
0 <= value <= 10nftReceivingWalletAddress*string
Header Parameters
x-namefi-eip7702-account?string
Optional delegated account address to authenticate as when the signer is an approved signer. Preferred header name.
x-namefi-eip1271-account?string
Legacy alias for x-namefi-erc1271-account. When multiple delegated account headers are present, x-namefi-eip7702-account takes precedence, then x-namefi-erc1271-account.
x-namefi-erc1271-account?string
Optional delegated account address to authenticate as when the signer is an approved signer. Preferred ERC-1271 header name.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.namefi.dev/v-next/mpp/domain/string?nftReceivingWalletAddress=string"{
"status": "accepted",
"message": "string",
"orderId": "string",
"paymentId": "string",
"domain": "string",
"paymentMethod": "tempo",
"payerDid": "string",
"payerWalletAddress": null,
"nftReceivingWalletAddress": null,
"estimatedCompletionSeconds": -9007199254740991
}{
"defined": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "Bad Request",
"data": null
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Unauthorized",
"data": null
}{
"defined": true,
"code": "PAYMENT_REQUIRED",
"status": 402,
"message": "Payment Required",
"data": null
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "Forbidden",
"data": null
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "Not Found",
"data": null
}{
"defined": true,
"code": "NOT_ACCEPTABLE",
"status": 406,
"message": "Not Acceptable",
"data": null
}{
"defined": true,
"code": "TIMEOUT",
"status": 408,
"message": "Request Timeout",
"data": null
}{
"defined": true,
"code": "CONFLICT",
"status": 409,
"message": "Conflict",
"data": null
}{
"defined": true,
"code": "PRECONDITION_FAILED",
"status": 412,
"message": "Precondition Failed",
"data": null
}{
"defined": true,
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Too Many Requests",
"data": null
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "Internal Server Error",
"data": null
}